#include <QGLViewer/qglviewer.h>
#include "dynamicCanvas.h"

class Viewer : public QGLViewer
{ 
protected :
  void draw();
  void init();
  void keyPressEvent(QKeyEvent *e);
  QString helpString() const;

private:
  void loadPaperTexture();
  void createCylinderDisplayList();

  GLuint cylinderDL_;
  DynamicCanvas dynCan_;
};
